<!DOCTYPE html>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
        <title>ENCOM Example -- Using jQuery</title>
        <link type="text/css" href="css/trontastic/jquery-ui-1.8.1.custom.css" rel="stylesheet" />
        <link type="text/css" href="css/main.css" rel="stylesheet" />
        <script type="text/javascript" src="js/jquery-1.4.2.min.js"></script>
        <script type="text/javascript" src="js/jquery-ui-1.8.1.custom.min.js"></script>
        <script type="text/javascript">
            var heroNames;

            $(function(){ // runs when page is ready...

                // set up tabs
                $("#tabs").tabs({
                    show: function () { $("#faq").accordion('resize'); }
                }).find(".ui-tabs-nav").sortable({axis:'x'});

                // set up datepicker
                $("#indDate").datepicker();
                $("#openPicker").button({
                    icons: {
                        primary: 'ui-icon-calendar'
                    },
                    text: false
                }).click(function() {
                    $("#indDate").focus();
                });

                // populate people data
                loadRowData();

                // set up warning dialog
                $("#idNotSet").dialog({
                    autoOpen: false,
                    modal: true,
                    buttons: {
                        Ok: function() {
                            $(this).dialog('close');
                        }
                    }
                });

                // set up slider
                $("#slider-range").slider({
                    range: true,
                    min: 65,
                    max: 90,
                    values: [74, 82],
                    slide: function(event, ui) {
                        $("#indStart").val(String.fromCharCode(ui.values[0]));
                        $("#indEnd").val(String.fromCharCode(ui.values[1]));
                    },
                    change: function(event, ui) {
                        $("#indStart, #indEnd").change();
                    }
                });
                $("#indStart").val(String.fromCharCode($("#slider-range").slider("values", 0)));
                $("#indEnd").val(String.fromCharCode($("#slider-range").slider("values", 1)));

                // set up autocomplete
                $.getJSON('individual_list.php?callback=?', function (nameList) {
                    heroNames = nameList;
                    $("#indHero").autocomplete({
                        source: heroNames,
                        change: function () { $("#indHero").change(); }
                    });
                });

                // set up accordian
                $("#faq").accordion({
                    header: 'h3',
                    collapsible: true,
                    fillSpace: true
                });

            }); // end of page ready script

            function loadRowData (row, fieldName, fieldValue) {
                if (!row) {
                    $('#personData').empty();
                    $('#personData').load('table_contents.php', function () {
                        $("#personData .editButton").button({
                            icons: {
                                primary: 'ui-icon-pencil'
                            },
                            text: false
                        });
                    });
                } else {
                    $.get('table_contents.php?RID=' + row + '&FN=' + fieldName + '&FV=' + fieldValue, function (data) {
                        $('#row_' + row).replaceWith(data);
                        $("#row_" + row +" .editButton").button({
                            icons: {
                                primary: 'ui-icon-pencil'
                            },
                            text: false
                        });
                    });
                }
            }

            function editRecord (rid) {
                $.getJSON('individual_data.php?RID=' + rid + '&callback=?', function (tempPerson) {
                    $('#RID').val(rid);
                    $('#indName').val(tempPerson.name);
                    $('#indTitle').val(tempPerson.title);
                    $('#indDate').val(tempPerson.date);
                    $('#indHero').val(tempPerson.hero);
                    $('#indStart').val(tempPerson.begin);
                    $('#indEnd').val(tempPerson.end);
                });
            }

            function doEdit (currentField) {
                currentRID = $('#RID').val();
                if (currentRID == '' || currentRID < 1) {
                    $("#idNotSet").dialog({
                        close: function () { currentField.value = ''; }
                    });
                    $("#idNotSet").dialog('open');
                    return true;
                }
                loadRowData(currentRID, currentField.name, currentField.value);
            }

        </script>
    </head>
    <body>
        <div class='mainContent'>
            <h1 id='header'>ENCOM Web Access</h1>
            <div id="tabs">
                <ul>
                    <li><a href="#tabs-1">Basic Data</a></li>
                    <li><a href="#tabs-2">The Nitty Gritty</a></li>
                    <li><a href="#tabs-3">Get Help</a></li>
                </ul>
                <div id="tabs-1" style='background: inherit;'>
                    <dl class='labelsAndData'>
                        <dt>Name:</dt>
                        <dd><input type='text' name='indName' id='indName' onchange='doEdit(this)' class='textInput' /><input type='hidden' id='RID' name='RID' value='' /></dd>
                        <dt>Title:</dt>
                        <dd><input type='text' name='indTitle' id='indTitle' onchange='doEdit(this)' class='textInput' /></dd>
                        <dt>Date:</dt>
                        <dd>
                            <div class='dateInputBlock'>
                                <input type='text' name='indDate' id='indDate' onchange='doEdit(this)' class='dateInput' maxlength='15' />
                                <div class='calendarButton'>
                                    <button id='openPicker'>Open the calendar picker.</button>
                                </div>
                            </div>
                        </dd>
                    </dl>
                </div>
                <div id="tabs-2" style='background: inherit;'>
                    <dl class='labelsAndData'>
                        <dt>Everything From:</dt>
                        <dd>
                            <input type='text' name='indStart' id='indStart' onchange='doEdit(this)' class='teenyInput' maxlength='1' /> <span style='color:#FFF'>to</span> <input type='text' name='indEnd' id='indEnd' onchange='doEdit(this)' class='teenyInput' maxlength='1' /><br /><br />
                            <div id="slider-range"></div>
                        </dd>
                        <dt>Hero:</dt>
                        <dd><input type='text' name='indHero' id='indHero' onchange='doEdit(this)' class='textInput' /></dd>
                    </dl>
                </div>
                <div id="tabs-3" style='background: inherit;'>
                    <div id="faq">
                        <div>
                            <h3><a href="#">What is the answer to life, the universe, and everything?</a></h3>
                            <div class='no42'>42</div>
                        </div>
                        <div>
                            <h3><a href="#">Is this really necessary?</a></h3>
                            <div>Although an interesting question, the fact is that "this" in the current case is not sufficiently specific to make a meaningful answer possible.  Assume that is is likely necessary, and send an appropriate memo in the meantime.</div>
                        </div>
                        <div>
                            <h3><a href="#">How many chucks could a wood chuck chuck, if a wood chuck could chuck wood?</a></h3>
                            <div class='no42'>42</div>
                        </div>
                    </div>
                </div>
            </div>
            <div id='personList' class='ui-corner-all ui-widget-content'>
                <div id='scrollingContainer'>
                    <table id='personTable' cellspacing='0' cellpadding='2' border='1'>
                        <colgroup>
                            <col width='30'></col>
                            <col width='400'></col>
                            <col></col>
                        </colgroup>
                        <tbody id='personData'>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
        <div id="idNotSet" title="No Selection">
            <p>You must first select an individual whose details you wish to edit.</p>
        </div>
    </body>
</html>